Napalm_get ** changed : False [nornir+napalm]

I am using nornir+napalm for a very simple script on actual Cisco IOSXR running device (NCS) but getting the error mentioned in subject. I am new to all this automation, any help would be appreciated.

Traceback is big with timeouts on netmiko, paramiko, pyIOSXR etc

Script:

from nornir import InitNornir
from nornir.plugins.functions.text import print_result
from nornir.plugins.tasks import networking

nr = InitNornir(
config_file=“config.yml”, dry_run=True
)

#devices = nr.filter(role=“host”)
results = nr.run(
task=networking.napalm_get, getters=[“facts”, “interfaces”,“environment”,“interfaces_ip”]
)
print_result(results)

Complete error:

C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\python.exe C:/Users/jblokesh/PycharmProjects/Jnyanesh/Test1.py
napalm_get**********************************************************************

  • ar1.blb ** changed : False ***************************************************
    vvvv napalm_get ** changed : False vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv ERROR
    Traceback (most recent call last):
    File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\paramiko\channel.py”, line 699, in recv
    out = self.in_buffer.read(nbytes, self.timeout)
    File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\paramiko\buffered_pipe.py”, line 164, in read
    raise PipeTimeout()
    paramiko.buffered_pipe.PipeTimeout

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\base_connection.py”, line 550, in _read_channel_expect
new_data = self.remote_conn.recv(MAX_BUFFER)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\paramiko\channel.py”, line 701, in recv
raise socket.timeout()
socket.timeout

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\nornir\core\task.py”, line 85, in start
r = self.task(self, **self.params)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\nornir\plugins\tasks\networking\napalm_get.py”, line 61, in napalm_get
result[g] = method(**options)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\napalm\iosxr\iosxr.py”, line 163, in get_facts
facts_rpc_reply = ETREE.fromstring(self.device.make_rpc_call(facts_rpc_request))
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\pyIOSXR\iosxr.py”, line 151, in make_rpc_call
result = self._execute_rpc(rpc_command)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\pyIOSXR\iosxr.py”, line 365, in _execute_rpc
response = self._send_command(xml_rpc_command, delay_factor=delay_factor)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\pyIOSXR\iosxr.py”, line 275, in _send_command
max_loops=max_loops)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\base_connection.py”, line 1470, in send_command_expect
return self.send_command(*args, **kwargs)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\utilities.py”, line 347, in wrapper_decorator
return func(self, *args, **kwargs)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\base_connection.py”, line 1389, in send_command
new_data = self.read_until_pattern(pattern=re.escape(cmd))
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\base_connection.py”, line 627, in read_until_pattern
return self._read_channel_expect(*args, **kwargs)
File “C:\Users\jblokesh\AppData\Local\Programs\Python\Python37\lib\site-packages\netmiko\base_connection.py”, line 561, in _read_channel_expect
“Timed-out reading channel, data not available.”
netmiko.ssh_exception.NetmikoTimeoutException: Timed-out reading channel, data not available.

^^^^ END napalm_get ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Process finished with exit code 0